package example.controller;

import example.dao.UserDao;
import example.model.User;
import example.service.IUserService;
import example.service.impl.UserServiceImpl;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@WebServlet(name = "UserServlet", urlPatterns = "/user")
public class UserServlet extends HttpServlet {

    IUserService userService=new UserServiceImpl();

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String action = req.getParameter("action");
        switch (action) {
            case "list":
                try {
                    getUserList(req, resp);
                } catch (Exception e) {
                    throw new RuntimeException(e);
                }
                break;
            case "update":
                req.getRequestDispatcher("/WEB-INF/jsp/register.jsp").forward(req, resp);
                break;
            case "delete":
                resp.sendRedirect("/");
                break;
            default:
                req.getRequestDispatcher("/WEB-INF/jsp/login.jsp").forward(req, resp);
                break;
        }
    }

    private void getUserList(HttpServletRequest req, HttpServletResponse resp) throws Exception {
        List<User> userList = userService.getUserList();
        req.setAttribute("userList", userList);
        req.getRequestDispatcher("userList.jsp").forward(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        super.doPost(req, resp);
    }
}
