package example.dao;

import example.model.Orders;
import example.utils.DBUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.handlers.BeanListHandler;

import java.time.LocalDateTime;
import java.util.List;

public class OrdersDao {
    private final QueryRunner queryRunner = new QueryRunner(DBUtils.getDataSource());


    public List<Orders>  getAllOrders() {
        String sql = "select id,user_id userId,order_date orderDate,total_price totalPrice,address ,remark,status  from orders o ";
        try {
            return queryRunner.query(sql, new BeanListHandler<>(Orders.class));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }


    public static void main(String[] args) {
        OrdersDao ordersDao = new OrdersDao();
        System.out.println(ordersDao.getAllOrders());
    }

    public int addOrder(int userId,double price, String address, String remark) {
        String sql="insert into orders(user_id,order_date,total_price,address,remark,status) values(?,?,?,?,?,?)";
        try {
            return queryRunner.update(sql,userId, LocalDateTime.now(),price,address,remark,"待发货");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return 0;
    }

    public List<Orders> getMyOrders(int userId) {
        String sql = "select id,user_id userId,order_date orderDate,total_price totalPrice,address ,remark,status  from orders o where user_id =?";
        try {
            return queryRunner.query(sql, new BeanListHandler<>(Orders.class),userId);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public void deliver(String orderId) {
        String sql = "update orders set status = ? where id = ?";
        try {
            queryRunner.update(sql,"已发货",orderId);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public List<Orders> getOrdersOfWaiting() {
        String sql = "select id,user_id userId,order_date orderDate,total_price totalPrice,address ,remark,status  from orders o where status = '待发货'";
        try {
            return queryRunner.query(sql, new BeanListHandler<>(Orders.class));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public List<Orders> getOrdersOfSent() {
        String sql = "select id,user_id userId,order_date orderDate,total_price totalPrice,address ,remark,status  from orders o where status = '已发货'";
        try {
            return queryRunner.query(sql, new BeanListHandler<>(Orders.class));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
