package example.service.impl;

import example.dao.ComputerDao;
import example.model.Computer;
import example.service.IComputerService;

import java.sql.SQLException;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ComputerServiceImpl implements IComputerService {

    ComputerDao computerDao=new ComputerDao();


    @Override
    public void addComputer(String name, Double price, int stock) {
        computerDao.addComputer(name, price, stock);
    }

    @Override
    public List<Computer> listComputer() throws SQLException {
        return Collections.emptyList();
    }


    @Override
    public void deleteComputer(String id) {
        computerDao.deleteComputer(Integer.parseInt(id));
    }

    @Override
    public Computer getComputer(String id) {
        return computerDao.getComputerById(Integer.parseInt(id));
    }

    @Override
    public void updateComputer(String id, String name, double v, int i) {
        computerDao.updateComputer(name, v, i, Integer.parseInt(id));
    }

    @Override
    public Map<String, Object> listComputersWithPagination(int page, int pageSize) throws SQLException {
        List<Computer> computers = computerDao.getComputersByPage(page, pageSize);
        int totalCount = computerDao.getComputerCount();
        int totalPages = (int) Math.ceil((double) totalCount / pageSize);

        Map<String, Object> result = new HashMap<>();
        result.put("computers", computers);
        result.put("totalPages", totalPages);
        result.put("currentPage", page);

        return result;
    }


}
